# List invoices Retrieve a list of all your invoices, optionally filtered by year or by invoice reference. The results are paginated. > 🔑 Access with > > [Organization access token with **invoices.read**](/reference/authentication) > > [OAuth access with **invoices.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/invoices": { "get": { "summary": "List invoices", "x-speakeasy-name-override": "list", "tags": [ "Invoices API" ], "operationId": "list-invoices", "security": [ { "organizationAccessToken": [ "invoices.read" ] }, { "oAuth": [ "invoices.read" ] } ], "description": "Retrieve a list of all your invoices, optionally filtered by year or by invoice reference.\n\nThe results are paginated.\n\n> 🔑 Access with\n>\n> [Organization access token with **invoices.read**](/reference/authentication)\n>\n> [OAuth access with **invoices.read**](/reference/authentication)", "parameters": [ { "name": "reference", "description": "Filter for an invoice with a specific invoice reference, for example `2024.10000`.", "in": "query", "schema": { "type": [ "string", "null" ], "example": "2024.10000" } }, { "name": "year", "description": "Filter for invoices of a specific year, for example `2024`.", "in": "query", "schema": { "type": [ "string", "null" ], "example": 2024 } }, { "schema": { "type": [ "string", "null" ], "example": "inv_xBEbP9rvAq" }, "name": "from", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "in": "query" }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "name": "sort", "description": "Used for setting the direction of the result set. Defaults to descending order, meaning the results are ordered from newest to oldest.\n\nPossible values: `asc` `desc`", "in": "query", "schema": { "type": "string", "example": "desc" } } ], "responses": { "200": { "description": "A list of invoice objects. For a complete reference of the invoice object, refer to the [Get invoice endpoint](get-invoice) documentation.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "invoices" ], "properties": { "invoices": { "description": "An array of invoice objects. For a complete reference of the invoice object, refer to the [Get invoice endpoint](get-invoice) documentation.", "type": "array", "items": { "type": "object", "required": [ "resource", "id", "reference", "vatNumber", "status", "issuedAt", "netAmount", "vatAmount", "grossAmount", "lines", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates that the response contains an invoice object. Will always contain the string `invoice` for this endpoint.", "readOnly": true, "default": "invoice" }, "id": { "allOf": [ { "type": "string", "pattern": "^inv_.+$", "example": "inv_aHbjjdrUdm" } ], "readOnly": true }, "reference": { "type": "string", "description": "The reference number of the invoice. An example value would be: `2024.10000`.", "readOnly": true, "example": "2024.10000" }, "vatNumber": { "type": [ "string", "null" ], "description": "The VAT number to which the invoice was issued to, if applicable.", "readOnly": true, "example": "NL123456789B01" }, "status": { "allOf": [ { "type": "string", "description": "Status of the invoice.\n\nPossible values: `open` `paid` `overdue`", "x-enumDescriptions": { "open": "The invoice is not paid yet.", "paid": "The invoice is paid.", "overdue": "Payment of the invoice is overdue." }, "example": "open" } ], "readOnly": true }, "netAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "Total amount of the invoice, excluding VAT.", "readOnly": true }, "vatAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "VAT amount of the invoice. Only applicable to merchants registered in the Netherlands. For EU merchants, VAT will be shifted to the recipient (as per article 44 and 196 in the EU VAT Directive 2006/112). For merchants outside the EU, no VAT will be charged.", "readOnly": true }, "grossAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "Total amount of the invoice, including VAT.", "readOnly": true }, "lines": { "type": "array", "description": "The collection of products which make up the invoice.", "items": { "type": "object", "required": [ "period", "description", "count", "vatPercentage", "amount" ], "properties": { "period": { "type": "string", "description": "The administrative period in `YYYY-MM` on which the line should be booked.", "example": "2024-01" }, "description": { "type": "string", "description": "Description of the product.", "example": "Product #1" }, "count": { "type": "integer", "description": "Number of products invoiced. For example, the number of payments.", "example": 3 }, "vatPercentage": { "type": "integer", "description": "VAT percentage rate that applies to this product.", "example": 21 }, "amount": { "description": "Line item amount excluding VAT.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } } }, "readOnly": true }, "issuedAt": { "type": "string", "description": "The invoice date in `YYYY-MM-DD` format.", "readOnly": true, "example": "2024-01-15" }, "paidAt": { "type": [ "string", "null" ], "description": "The date on which the invoice was paid, if applicable, in `YYYY-MM-DD` format.", "readOnly": true, "example": "2024-01-20" }, "dueAt": { "type": [ "string", "null" ], "description": "The date on which the invoice is due, if applicable, in `YYYY-MM-DD` format.", "readOnly": true, "example": "2024-01-30" }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "description": "URL to the current invoice resource.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "pdf": { "description": "URL to a downloadable PDF of the invoice.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } } } } }, "_links": { "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-invoices-200-1": { "summary": "A list of invoice objects", "value": { "count": 1, "_embedded": { "invoices": [ { "resource": "invoice", "id": "inv_xBEbP9rvAq", "reference": "2023.10000", "vatNumber": "NL001234567B01", "status": "open", "netAmount": { "currency": "EUR", "value": "45.00" }, "vatAmount": { "currency": "EUR", "value": "9.45" }, "grossAmount": { "currency": "EUR", "value": "54.45" }, "lines": [ { "period": "2023-09", "description": "iDEAL payment fees", "count": 100, "vatPercentage": 21, "amount": { "currency": "EUR", "value": "45.00" } } ], "issuedAt": "2023-09-01", "dueAt": "2023-09-14", "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": "https://api.mollie.com/v2/invoices?from=inv_TUhzbAFMrt&limit=5", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } }, "list-invoices-200-2": { "summary": "List invoices", "x-request": "./requests.yaml#/oauth-list-invoices", "value": { "_embedded": { "invoices": [ { "resource": "invoice", "id": "inv_UQgMnkkTFz", "reference": "MOLR2021.0001399669", "vatNumber": "", "status": "paid", "issuedAt": "2021-12-31", "paidAt": "2022-01-03", "netAmount": { "value": "2.93", "currency": "EUR" }, "vatAmount": { "value": "0.62", "currency": "EUR" }, "grossAmount": { "value": "3.55", "currency": "EUR" }, "lines": [ { "period": "2021-12", "description": "iDeal payment fixed fees", "count": 6, "vatPercentage": 21, "amount": { "value": "1.68", "currency": "EUR" } }, { "period": "2021-12", "description": "Credit Card - European cards payment fixed fees", "count": 3, "vatPercentage": 21, "amount": { "value": "0.75", "currency": "EUR" } }, { "period": "2021-12", "description": "Credit Card - European cards payment variable fees", "count": 3, "vatPercentage": 21, "amount": { "value": "0.00054", "currency": "EUR" } }, { "period": "2021-12", "description": "Credit Card payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-12", "description": "Credit Card payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00028", "currency": "EUR" } }, { "period": "2021-12", "description": "Bank transfer payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/UQgMnkkTFz/d9bc0b0c7e18e886b3b36c74749c03bb", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_USQe9D7fc8", "reference": "MOLR2021.0001203556", "vatNumber": "", "status": "paid", "issuedAt": "2021-11-30", "paidAt": "2021-12-01", "netAmount": { "value": "4.00", "currency": "EUR" }, "vatAmount": { "value": "0.84", "currency": "EUR" }, "grossAmount": { "value": "4.84", "currency": "EUR" }, "lines": [ { "period": "2021-11", "description": "iDeal refund fees", "count": 15, "vatPercentage": 21, "amount": { "value": "3.75", "currency": "EUR" } }, { "period": "2021-11", "description": "Paypal refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-11", "description": "Direct debit payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-11", "description": "Direct debit payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/USQe9D7fc8/8bd27fecea40e0932d6af28d5b13edb3", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_9S73PDnES2", "reference": "MOLR2021.0001157498", "vatNumber": "", "status": "paid", "issuedAt": "2021-10-31", "paidAt": "2021-11-01", "netAmount": { "value": "4.91", "currency": "EUR" }, "vatAmount": { "value": "1.03", "currency": "EUR" }, "grossAmount": { "value": "5.94", "currency": "EUR" }, "lines": [ { "period": "2021-10", "description": "iDeal payment fixed fees", "count": 16, "vatPercentage": 21, "amount": { "value": "4.48", "currency": "EUR" } }, { "period": "2021-10", "description": "Paypal payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-10", "description": "Paypal payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-10", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-10", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.18936", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/9S73PDnES2/8cef4dad7a00abcdae923b9c392d720a", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_MdyNgEbeNP", "reference": "MOLR2021.0001050354", "vatNumber": "", "status": "paid", "issuedAt": "2021-09-30", "paidAt": "2021-10-01", "netAmount": { "value": "0.75", "currency": "EUR" }, "vatAmount": { "value": "0.16", "currency": "EUR" }, "grossAmount": { "value": "0.91", "currency": "EUR" }, "lines": [ { "period": "2021-09", "description": "Bank transfer payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-09", "description": "Direct debit refund fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.50", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/MdyNgEbeNP/cd546e0402607ca8d08f5975702c3293", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_xkgx8Kd9d5", "reference": "MOLR2021.0000913190", "vatNumber": "", "status": "paid", "issuedAt": "2021-08-31", "paidAt": "2021-09-01", "netAmount": { "value": "0.53", "currency": "EUR" }, "vatAmount": { "value": "0.11", "currency": "EUR" }, "grossAmount": { "value": "0.64", "currency": "EUR" }, "lines": [ { "period": "2021-08", "description": "Sofort payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-08", "description": "Sofort payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00225", "currency": "EUR" } }, { "period": "2021-08", "description": "Direct debit payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-08", "description": "Direct debit payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-08", "description": "iDeal payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.28", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/xkgx8Kd9d5/4d29b8d112bd0675530e4ff571e0a6fe", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_7ee8zakWxE", "reference": "MOLR2021.0000791294", "vatNumber": "", "status": "paid", "issuedAt": "2021-07-31", "paidAt": "2021-08-02", "netAmount": { "value": "1.31", "currency": "EUR" }, "vatAmount": { "value": "0.27", "currency": "EUR" }, "grossAmount": { "value": "1.58", "currency": "EUR" }, "lines": [ { "period": "2021-07", "description": "Paypal payment fixed fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-07", "description": "Paypal payment variable fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-07", "description": "iDeal payment fixed fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.56", "currency": "EUR" } }, { "period": "2021-07", "description": "Paypal refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-07", "description": "Direct debit payment fixed fees", "count": 3, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-07", "description": "Direct debit payment variable fees", "count": 3, "vatPercentage": 21, "amount": { "value": "0.00", "currency": "EUR" } }, { "period": "2021-07", "description": "iDeal refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-07", "description": "Direct debit refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/7ee8zakWxE/c8e9066ffa33bcbd0b3eb424d1742eaa", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_wqN9zppN9h", "reference": "MOLR2021.0000478657", "vatNumber": "", "status": "paid", "issuedAt": "2021-05-31", "paidAt": "2021-06-01", "netAmount": { "value": "1.31", "currency": "EUR" }, "vatAmount": { "value": "0.27", "currency": "EUR" }, "grossAmount": { "value": "1.58", "currency": "EUR" }, "lines": [ { "period": "2021-05", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-05", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00018", "currency": "EUR" } }, { "period": "2021-05", "description": "iDeal payment fixed fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.56", "currency": "EUR" } }, { "period": "2021-05", "description": "Credit Card - European cards refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-05", "description": "Klarna Pay Later refund fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/wqN9zppN9h/ca395e6464508ac017f8864d62532649", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_sAP3gb4SFE", "reference": "MOLR2021.0000436905", "vatNumber": "", "status": "paid", "issuedAt": "2021-04-30", "paidAt": "2021-05-03", "netAmount": { "value": "0.25", "currency": "EUR" }, "vatAmount": { "value": "0.05", "currency": "EUR" }, "grossAmount": { "value": "0.30", "currency": "EUR" }, "lines": [ { "period": "2021-04", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2021-04", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.00018", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/sAP3gb4SFE/d89e0340c5bf09476cc3ca3fb7fc9cab", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_F6az3ffKj9", "reference": "MOLR2021.0000283014", "vatNumber": "", "status": "paid", "issuedAt": "2021-03-31", "paidAt": "2021-04-01", "netAmount": { "value": "0.25", "currency": "EUR" }, "vatAmount": { "value": "0.05", "currency": "EUR" }, "grossAmount": { "value": "0.30", "currency": "EUR" }, "lines": [ { "period": "2021-03", "description": "Direct debit payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/F6az3ffKj9/adc34cc9423e17ce0585755680c41482", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_fdqCugCrMd", "reference": "MOLR2021.0000216980", "vatNumber": "", "status": "paid", "issuedAt": "2021-02-28", "paidAt": "2021-03-01", "netAmount": { "value": "0.56", "currency": "EUR" }, "vatAmount": { "value": "0.11", "currency": "EUR" }, "grossAmount": { "value": "0.67", "currency": "EUR" }, "lines": [ { "period": "2021-02", "description": "iDeal payment fixed fees", "count": 2, "vatPercentage": 21, "amount": { "value": "0.56", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/fdqCugCrMd/155803920f438d07f6002b8588ad9e0a", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } }, { "resource": "invoice", "id": "inv_s3vn7CBrx7", "reference": "MOLR2020.0000382031", "vatNumber": "", "status": "paid", "issuedAt": "2020-11-30", "paidAt": "2020-12-01", "netAmount": { "value": "15.25", "currency": "EUR" }, "vatAmount": { "value": "3.20", "currency": "EUR" }, "grossAmount": { "value": "18.45", "currency": "EUR" }, "lines": [ { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.12", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.0378", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit chargeback fees", "count": 1, "vatPercentage": 21, "amount": { "value": "7.50", "currency": "EUR" } }, { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.29", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 16, "vatPercentage": 21, "amount": { "value": "4.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 16, "vatPercentage": 21, "amount": { "value": "0.01", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.05", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/s3vn7CBrx7/8c0ed722130abdd3080fc780c63f9f67", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:23+00:00" } } } ] }, "count": 11, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": null } } }, "list-invoices-200-3": { "summary": "List invoices for a specific year", "x-request": "./requests.yaml#/oauth-list-invoices-for-a-specific-year", "value": { "_embedded": { "invoices": [ { "resource": "invoice", "id": "inv_s3vn7CBrx7", "reference": "MOLR2020.0000382031", "vatNumber": "", "status": "paid", "issuedAt": "2020-11-30", "paidAt": "2020-12-01", "netAmount": { "value": "15.25", "currency": "EUR" }, "vatAmount": { "value": "3.20", "currency": "EUR" }, "grossAmount": { "value": "18.45", "currency": "EUR" }, "lines": [ { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.12", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.0378", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit chargeback fees", "count": 1, "vatPercentage": 21, "amount": { "value": "7.50", "currency": "EUR" } }, { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.29", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 16, "vatPercentage": 21, "amount": { "value": "4.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 16, "vatPercentage": 21, "amount": { "value": "0.01", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.05", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/s3vn7CBrx7/bf39b75717e4fa9552c29d2a249d6054", "type": "application/pdf", "expiresAt": "2022-01-19T16:49:34+00:00" } } } ] }, "count": 1, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": null } } }, "list-invoices-200-4": { "summary": "Search invoices on reference number", "x-request": "./requests.yaml#/oauth-list-invoices-for-a-specific-year", "value": { "_embedded": { "invoices": [ { "resource": "invoice", "id": "inv_s3vn7CBrx7", "reference": "MOLR2020.0000382031", "vatNumber": "", "status": "paid", "issuedAt": "2020-11-30", "paidAt": "2020-12-01", "netAmount": { "value": "15.25", "currency": "EUR" }, "vatAmount": { "value": "3.20", "currency": "EUR" }, "grossAmount": { "value": "18.45", "currency": "EUR" }, "lines": [ { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.12", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.25", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.0378", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit payment fixed fees", "count": 4, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Direct debit chargeback fees", "count": 1, "vatPercentage": 21, "amount": { "value": "7.50", "currency": "EUR" } }, { "period": "2020-11", "description": "iDeal payment fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.29", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment fixed fees", "count": 16, "vatPercentage": 21, "amount": { "value": "4.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Credit Card - European cards payment variable fees", "count": 16, "vatPercentage": 21, "amount": { "value": "0.01", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture fixed fees", "count": 1, "vatPercentage": 21, "amount": { "value": "1.00", "currency": "EUR" } }, { "period": "2020-11", "description": "Klarna Pay Later capture variable fees", "count": 1, "vatPercentage": 21, "amount": { "value": "0.05", "currency": "EUR" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" }, "pdf": { "href": "https://www.mollie.com/merchant/download/invoice/s3vn7CBrx7/3581b4b4d684ad6f8f2c9466aae4b791", "type": "application/pdf", "expiresAt": "2022-01-19T16:50:34+00:00" } } } ] }, "count": 1, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": null } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "404": { "description": "No entity with this ID exists.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 404, "title": "Not Found", "detail": "No entity exists with token 'uct_abcDEFghij123456789'", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/invoices \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$invoices = $mollie->send(new GetPaginatedInvoiceRequest());", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\ninvoices = mollie_client.invoices.list()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\ninvoices = Mollie::invoice.all", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```